# mdtraj.formats.DCDTrajectoryFile

class mdtraj.formats.DCDTrajectoryFile(filename, mode='r', force_overwrite=True)

  Interface for reading and writing to a CHARMM/NAMD DCD file. This is a file-like object, that both reading or writing depending on the mode flag. It implements the context manager protocol, so you can also use it with the python ‘with’ statement.

  The conventional units in the DCD file are angstroms and degrees. The format supports saving coordinates and unit cell parameters (lengths and angles)

  Parameters:

    - filename (string) – Path to the file to open

    - mode ({'r', 'w'}) – Mode in which to open the file. ‘r’ is for reading, and ‘w’ is for writing.

    - force_overwrite (bool) – In mode=’w’, how do you want to behave if a file by the name of filename already exists? if force_overwrite=True, it will be overwritten.

  Examples

      >>> # read a single frame, and then read the remaining frames
      >>> f = DCDTrajectoryFile('mytrajectory.dcd', 'r')
      >>> f.read(n_frames=1)  # read a single frame from the file
      >>> xyz.read()            # read all of the remaining frames
      >>> f.close()

      >>> # read all of the data with automatic closing of the file
      >>> with DCDTrajectoryFile('mytrajectory.dcd', 'r') as f:
      >>>    xyz, cell_lengths, cell_angles = f.read()

      >>> # write some xyz coordinates to a new file
      >>> with DCDTrajectoryFile('mytrajectory2.dcd', 'w') as f:
      >>>     f.write(np.random.randn(10,3,3))

      >>> # write frames one at a time
      >>> with DCDTrajectoryFile('mytrajectory2.dcd', 'w') as f:
      >>>     n_frames, n_atoms = 5, 10
      >>>     for i in range(n_frames):
      >>>         f.write(np.random.randn(n_atoms, 3))

  See also

  `mdtraj.load_dcd`

    High-level wrapper that returns a `md.Trajectory`

  Attributes:
    distance_unit

  Methods

  `close`() | Close the DCD file handle
  `read`([n_frames, stride, atom_indices]) | Read the data from a DCD file
  `read_as_traj`(topology[, n_frames, stride, ...]) | Read a trajectory from an XTC file
  `seek`(offset[, whence]) | Move to a new file position
  `tell`() | Current file position
  `write`(xyz[, cell_lengths, cell_angles]) | Write one or more frames of data to the DCD file

  __init__(*args, **kwargs)

  Methods

  `__init__`(*args, **kwargs) |
  `close`() | Close the DCD file handle
  `read`([n_frames, stride, atom_indices]) | Read the data from a DCD file
  `read_as_traj`(topology[, n_frames, stride, ...]) | Read a trajectory from an XTC file
  `seek`(offset[, whence]) | Move to a new file position
  `tell`() | Current file position
  `write`(xyz[, cell_lengths, cell_angles]) | Write one or more frames of data to the DCD file

  Attributes

  `distance_unit` |